
QGIS Application - Bug report #20357

QGIS 3.4 crashed

2018-11-04 08:35 PM - Torsten Hase

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:3.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28178

Description

Hi,

sorry it is not the first time. Qgis 3.4 crashed very often by various doings before. It is not reproducable.

User Feedback

I added some layers from grass workspace.

Report Details

Crash ID: a73f7f13941386f1d7fd9444e2eb9fc6b55941fa

Stack Trace

RtlRaiseStatus :

memset :

setjmpex :

G_fatal_error :

G_fseek :

dig_fseek :

Vect_get_line_offset :

Vect_read_line :

QgsGrassFeatureIterator::fetchFeature :

QgsAbstractFeatureIterator::nextFeature :

QgsVectorLayerFeatureIterator::fetchFeature :

QgsAbstractFeatureIterator::nextFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererParallelJob::renderLayerStatic :

QgsMapRendererParallelJob::renderingFinished :

QgsArchive::zip :

QgsArchive::zip :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2
System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-11-04 08:46 PM - Saber Razmjooei

- Status changed from Open to Feedback

Please update to QGIS 3.4.1

#2 - 2018-11-04 11:01 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#3 - 2019-02-24 12:52 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
